%%
% Author: Chenzhe Qian
% Team: iGEM 2012 Calgary
% Copy Rights Reversed
%%

function luxTestModel = luxTest(model) 

luxTestModel = model;
luxTestModel = addReaction(luxTestModel, 'exchange', '1 decanoic[e] <=> ', [], true, -1000, 1000);
luxTestModel = addReaction(luxTestModel, 'transport', '1 decanoic[c]', [], true, -1000, 1000);
luxTestModel = addReaction(luxTestModel, 'luxCD', '1 decanoic[c] + 1 atp[c] + 1 nadh[c] + 1 h[c] <=> 1 decanal[c] + 1 amp[c] + 1 ppi[c] + 1 nad[c]', [], true, -1000, 1000);
luxTestModel = addReaction(luxTestModel, 'luxR', '1 decanal[c] + 1 fmnh2[c] + 1 o2[c] <=> 1 hv[c] + 1 decanoic[c] + 1 fmn[c] + 1 h2o[c] + 2 h[c]', [], true, -1000, 1000);
luxTestModel = addReaction(luxTestModel, 'terminal', '2 hv[c] -> ', [], false, -1000, 1000);
